#include <bits/stdc++.h>
using namespace std;

int main() {
    int N, L;
    cin >> N >> L;

    vector<int> visine(N);
    for (int i = 0; i < N; i++) {
        cin >> visine[i];}

    int res = -1;
    for(int i = 1; i <= N; i++){
        if(L >= visine[i-1]){
            res = i;
            break;}
    }
    cout << res;

    return 0;}